Skip to content
Developer

EventSignUpScanner

Events4 EndpointsEvent / EventSignUpScanner

Get a list of the next event signups of a person

GET/api/event/scanner/base_event_signup/next/{personIdentifier}

Path parameters

personIdentifierrequiredstring

Query parameters

searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Get a list of the next event signups of a personarray<BaseEventSignUp>

Show fields (42)
  • idinteger

    Primary key of the sign-up. Internal ID.

  • first_namestring

    First name of the participant.

  • last_namestring

    Last name of the participant.

  • genderstring

    Gender of the participant.

  • waitingboolean

    The sign-up is on the waiting list.

  • confirmedboolean

    The sign-up is confirmed.

  • deletion_reasonstring

    Reason the sign-up was cancelled.

  • direct_billingboolean
  • direct_billing_check_datestring (date-time)
  • direct_billing_tokenstring
  • wait_list_confirmation_sent_atstring (date-time)
  • wait_list_confirmation_deadlinestring (date-time)
  • wait_list_confirmed_atstring (date-time)
  • wait_list_pending_confirmationboolean
  • wait_list_sort_orderinteger
  • birthdaystring (date-time)

    Birthday of the participant.

  • known_allergiesstring

    Known allergies of the participant.

  • confirmed_no_allergiesboolean

    Guardian confirmed that there are no known allergies.

  • allow_photosboolean

    Guardian allows photos of the participant.

  • allow_child_aloneboolean

    Participant may leave alone after the event.

  • authorized_pickupstring

    Persons who are allowed to pick up the participant.

  • needs_supportboolean

    Participant needs support, for example for inclusion.

  • support_descriptionstring

    Description of the support the participant needs.

  • financial_supportboolean

    Participant receives financial support.

  • financial_support_numberstring

    Number of the financial support, for example a voucher.

  • municipal_supportboolean

    Participant receives municipal support.

  • municipal_support_numberstring

    Number of the municipal support.

  • grade_levelinteger

    School grade level of the participant.

  • school_classstring

    School class of the participant.

  • self_check_inboolean

    Participant checked in with the self-service check-in.

  • self_check_outboolean

    Participant checked out with the self-service check-out.

  • self_check_in_datestring (date-time)

    Time of the self-service check-in.

  • self_check_out_datestring (date-time)

    Time of the self-service check-out.

  • reminded_of_absencestring (date-time)

    Time the guardian was reminded of an absence.

  • trialboolean

    Trial date sign-up (Schnuppern): a date sign-up without a course place that uses up one unit of the person's trial pass (eventAccessBudget with sourceType trial)

  • trial_channelstring

    Who booked the trial date: app, trainer, office

  • trial_session_numberinteger

    Number of this trial date within the pass (1 = first), for "Schnuppern 2/3"

  • trial_session_maxinteger

    Trial dates of the pass, for "Schnuppern 2/3"

  • confirmed_datestring (date-time)

    Time the sign-up was confirmed.

  • bib_numberinteger

    Startnummer (Zaehler). Bei PER_PREFIX nur zusammen mit dem Praefix eindeutig. Wird nur ueber BibNumberAssigner gesetzt, stornierte Anmeldungen behalten sie.

  • bib_labelstring

    Angezeigte Startnummer inkl. Praefix, z. B. W0123. Pro Event eindeutig.

  • namestring

    Name of the entity.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/next/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "first_name": "Lena",
    "last_name": "Hartmann",
    "support_description": "Text",
    "name": "Beispiel",
    "gender": "string",
    "waiting": true,
    "confirmed": true,
    "deletion_reason": "string",
    "direct_billing": true
  }
]

Get a list of the next event signups of a person

GET/api/event/scanner/base_event_signup/next

Query parameters

searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Get a list of the next event signups of a personarray<BaseEventSignUp>

Show fields (42)
  • idinteger

    Primary key of the sign-up. Internal ID.

  • first_namestring

    First name of the participant.

  • last_namestring

    Last name of the participant.

  • genderstring

    Gender of the participant.

  • waitingboolean

    The sign-up is on the waiting list.

  • confirmedboolean

    The sign-up is confirmed.

  • deletion_reasonstring

    Reason the sign-up was cancelled.

  • direct_billingboolean
  • direct_billing_check_datestring (date-time)
  • direct_billing_tokenstring
  • wait_list_confirmation_sent_atstring (date-time)
  • wait_list_confirmation_deadlinestring (date-time)
  • wait_list_confirmed_atstring (date-time)
  • wait_list_pending_confirmationboolean
  • wait_list_sort_orderinteger
  • birthdaystring (date-time)

    Birthday of the participant.

  • known_allergiesstring

    Known allergies of the participant.

  • confirmed_no_allergiesboolean

    Guardian confirmed that there are no known allergies.

  • allow_photosboolean

    Guardian allows photos of the participant.

  • allow_child_aloneboolean

    Participant may leave alone after the event.

  • authorized_pickupstring

    Persons who are allowed to pick up the participant.

  • needs_supportboolean

    Participant needs support, for example for inclusion.

  • support_descriptionstring

    Description of the support the participant needs.

  • financial_supportboolean

    Participant receives financial support.

  • financial_support_numberstring

    Number of the financial support, for example a voucher.

  • municipal_supportboolean

    Participant receives municipal support.

  • municipal_support_numberstring

    Number of the municipal support.

  • grade_levelinteger

    School grade level of the participant.

  • school_classstring

    School class of the participant.

  • self_check_inboolean

    Participant checked in with the self-service check-in.

  • self_check_outboolean

    Participant checked out with the self-service check-out.

  • self_check_in_datestring (date-time)

    Time of the self-service check-in.

  • self_check_out_datestring (date-time)

    Time of the self-service check-out.

  • reminded_of_absencestring (date-time)

    Time the guardian was reminded of an absence.

  • trialboolean

    Trial date sign-up (Schnuppern): a date sign-up without a course place that uses up one unit of the person's trial pass (eventAccessBudget with sourceType trial)

  • trial_channelstring

    Who booked the trial date: app, trainer, office

  • trial_session_numberinteger

    Number of this trial date within the pass (1 = first), for "Schnuppern 2/3"

  • trial_session_maxinteger

    Trial dates of the pass, for "Schnuppern 2/3"

  • confirmed_datestring (date-time)

    Time the sign-up was confirmed.

  • bib_numberinteger

    Startnummer (Zaehler). Bei PER_PREFIX nur zusammen mit dem Praefix eindeutig. Wird nur ueber BibNumberAssigner gesetzt, stornierte Anmeldungen behalten sie.

  • bib_labelstring

    Angezeigte Startnummer inkl. Praefix, z. B. W0123. Pro Event eindeutig.

  • namestring

    Name of the entity.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/next \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "first_name": "Lena",
    "last_name": "Hartmann",
    "support_description": "Text",
    "name": "Beispiel",
    "gender": "string",
    "waiting": true,
    "confirmed": true,
    "deletion_reason": "string",
    "direct_billing": true
  }
]

Trigger actions for an event signup for a person

POST/api/event/scanner/base_event_signup/action/{personIdentifier}

Path parameters

personIdentifierrequiredstring

Query parameters

searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Request body application/json

  • dataSimpleChange
    Show fields (5)
    • idmixed

      The ID of the entity to change, can be a string or an integer

    • actionstring

      The action to perform on the entity

    • propertystring

      The property to change on the entity

    • new_valuemixed

      The new value to set for the property

    • doneboolean

      Indicates if the change has been processed

Responses

200Trigger actions for an event signup for a personBaseEventSignUp

Show fields (42)
  • idinteger

    Primary key of the sign-up. Internal ID.

  • first_namestring

    First name of the participant.

  • last_namestring

    Last name of the participant.

  • genderstring

    Gender of the participant.

  • waitingboolean

    The sign-up is on the waiting list.

  • confirmedboolean

    The sign-up is confirmed.

  • deletion_reasonstring

    Reason the sign-up was cancelled.

  • direct_billingboolean
  • direct_billing_check_datestring (date-time)
  • direct_billing_tokenstring
  • wait_list_confirmation_sent_atstring (date-time)
  • wait_list_confirmation_deadlinestring (date-time)
  • wait_list_confirmed_atstring (date-time)
  • wait_list_pending_confirmationboolean
  • wait_list_sort_orderinteger
  • birthdaystring (date-time)

    Birthday of the participant.

  • known_allergiesstring

    Known allergies of the participant.

  • confirmed_no_allergiesboolean

    Guardian confirmed that there are no known allergies.

  • allow_photosboolean

    Guardian allows photos of the participant.

  • allow_child_aloneboolean

    Participant may leave alone after the event.

  • authorized_pickupstring

    Persons who are allowed to pick up the participant.

  • needs_supportboolean

    Participant needs support, for example for inclusion.

  • support_descriptionstring

    Description of the support the participant needs.

  • financial_supportboolean

    Participant receives financial support.

  • financial_support_numberstring

    Number of the financial support, for example a voucher.

  • municipal_supportboolean

    Participant receives municipal support.

  • municipal_support_numberstring

    Number of the municipal support.

  • grade_levelinteger

    School grade level of the participant.

  • school_classstring

    School class of the participant.

  • self_check_inboolean

    Participant checked in with the self-service check-in.

  • self_check_outboolean

    Participant checked out with the self-service check-out.

  • self_check_in_datestring (date-time)

    Time of the self-service check-in.

  • self_check_out_datestring (date-time)

    Time of the self-service check-out.

  • reminded_of_absencestring (date-time)

    Time the guardian was reminded of an absence.

  • trialboolean

    Trial date sign-up (Schnuppern): a date sign-up without a course place that uses up one unit of the person's trial pass (eventAccessBudget with sourceType trial)

  • trial_channelstring

    Who booked the trial date: app, trainer, office

  • trial_session_numberinteger

    Number of this trial date within the pass (1 = first), for "Schnuppern 2/3"

  • trial_session_maxinteger

    Trial dates of the pass, for "Schnuppern 2/3"

  • confirmed_datestring (date-time)

    Time the sign-up was confirmed.

  • bib_numberinteger

    Startnummer (Zaehler). Bei PER_PREFIX nur zusammen mit dem Praefix eindeutig. Wird nur ueber BibNumberAssigner gesetzt, stornierte Anmeldungen behalten sie.

  • bib_labelstring

    Angezeigte Startnummer inkl. Praefix, z. B. W0123. Pro Event eindeutig.

  • namestring

    Name of the entity.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/action/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "action": "string",
    "property": "string",
    "new_value": null,
    "done": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "first_name": "Lena",
  "last_name": "Hartmann",
  "support_description": "Text",
  "name": "Beispiel",
  "gender": "string",
  "waiting": true,
  "confirmed": true,
  "deletion_reason": "string",
  "direct_billing": true
}

Trigger actions for an event signup for a person

POST/api/event/scanner/base_event_signup/action

Query parameters

searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Request body application/json

  • dataSimpleChange
    Show fields (5)
    • idmixed

      The ID of the entity to change, can be a string or an integer

    • actionstring

      The action to perform on the entity

    • propertystring

      The property to change on the entity

    • new_valuemixed

      The new value to set for the property

    • doneboolean

      Indicates if the change has been processed

Responses

200Trigger actions for an event signup for a personBaseEventSignUp

Show fields (42)
  • idinteger

    Primary key of the sign-up. Internal ID.

  • first_namestring

    First name of the participant.

  • last_namestring

    Last name of the participant.

  • genderstring

    Gender of the participant.

  • waitingboolean

    The sign-up is on the waiting list.

  • confirmedboolean

    The sign-up is confirmed.

  • deletion_reasonstring

    Reason the sign-up was cancelled.

  • direct_billingboolean
  • direct_billing_check_datestring (date-time)
  • direct_billing_tokenstring
  • wait_list_confirmation_sent_atstring (date-time)
  • wait_list_confirmation_deadlinestring (date-time)
  • wait_list_confirmed_atstring (date-time)
  • wait_list_pending_confirmationboolean
  • wait_list_sort_orderinteger
  • birthdaystring (date-time)

    Birthday of the participant.

  • known_allergiesstring

    Known allergies of the participant.

  • confirmed_no_allergiesboolean

    Guardian confirmed that there are no known allergies.

  • allow_photosboolean

    Guardian allows photos of the participant.

  • allow_child_aloneboolean

    Participant may leave alone after the event.

  • authorized_pickupstring

    Persons who are allowed to pick up the participant.

  • needs_supportboolean

    Participant needs support, for example for inclusion.

  • support_descriptionstring

    Description of the support the participant needs.

  • financial_supportboolean

    Participant receives financial support.

  • financial_support_numberstring

    Number of the financial support, for example a voucher.

  • municipal_supportboolean

    Participant receives municipal support.

  • municipal_support_numberstring

    Number of the municipal support.

  • grade_levelinteger

    School grade level of the participant.

  • school_classstring

    School class of the participant.

  • self_check_inboolean

    Participant checked in with the self-service check-in.

  • self_check_outboolean

    Participant checked out with the self-service check-out.

  • self_check_in_datestring (date-time)

    Time of the self-service check-in.

  • self_check_out_datestring (date-time)

    Time of the self-service check-out.

  • reminded_of_absencestring (date-time)

    Time the guardian was reminded of an absence.

  • trialboolean

    Trial date sign-up (Schnuppern): a date sign-up without a course place that uses up one unit of the person's trial pass (eventAccessBudget with sourceType trial)

  • trial_channelstring

    Who booked the trial date: app, trainer, office

  • trial_session_numberinteger

    Number of this trial date within the pass (1 = first), for "Schnuppern 2/3"

  • trial_session_maxinteger

    Trial dates of the pass, for "Schnuppern 2/3"

  • confirmed_datestring (date-time)

    Time the sign-up was confirmed.

  • bib_numberinteger

    Startnummer (Zaehler). Bei PER_PREFIX nur zusammen mit dem Praefix eindeutig. Wird nur ueber BibNumberAssigner gesetzt, stornierte Anmeldungen behalten sie.

  • bib_labelstring

    Angezeigte Startnummer inkl. Praefix, z. B. W0123. Pro Event eindeutig.

  • namestring

    Name of the entity.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/action \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "action": "string",
    "property": "string",
    "new_value": null,
    "done": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "first_name": "Lena",
  "last_name": "Hartmann",
  "support_description": "Text",
  "name": "Beispiel",
  "gender": "string",
  "waiting": true,
  "confirmed": true,
  "deletion_reason": "string",
  "direct_billing": true
}